
Redmine - Patch #36429

Make issue tabs DOM more consistent

2022-01-13 17:07 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 5.0.0   

Description

It is currently difficult to consistently style the tabs in the issue history because the DOMs are different.

Related issues:

Related to Redmine - Patch #31573: Show each journal entry from issue history... New

Associated revisions

Revision 21367 - 2022-01-17 14:53 - Go MAEDA

Make issue tabs DOM more consistent (#36429).

Patch by Felix Schäfer.

History

#1 - 2022-01-13 17:09 - Felix Schäfer

- File 36429-more_consistent_issue_tab_dom.patch added

The attached patch makes the DOM for the time spent and change sets tabs more consistent with the history tabs.

#2 - 2022-01-13 20:13 - Bernhard Rohloff

Patch looks good to me...

+1

#3 - 2022-01-13 22:33 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#4 - 2022-01-14 12:15 - Dmitry Makurin 

Marius did a great job in #31573. I guess this and #31573 could be done in one series of patches since both issues have the same purpose.

#5 - 2022-01-15 03:00 - Go MAEDA

Dmitry Makurin  wrote:

Marius did a great job in #31573. I guess this and #31573 could be done in one series of patches since both issues have the same purpose.

 I would like to commit this patch first without waiting for the result of the discussion on #31573.

This patch just fixes the consistency of DOM and makes it easy for theme developers to apply styles. This is a necessary fix regardless of whether we

merge #31573 or not. And this patch does not have a significant negative impact on #31573.

#6 - 2022-01-17 14:53 - Go MAEDA

- Subject changed from Make issue tabs more consistent to Make issue tabs DOM more consistent

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.
#7 - 2022-01-17 16:58 - Marius BĂLTEANU

- Related to Patch #31573: Show each journal entry from issue history in a box added

Files

36429-more_consistent_issue_tab_dom.patch 2.82 KB 2022-01-13 Felix Schäfer

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

http://www.tcpdf.org

